DataImporter (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.DataImporter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class DataImporter

    java.lang.Object
      org.apache.solr.handler.dataimport.DataImporter

    public class DataImporter

extends Object

Stores all configuration information for pulling and indexing data.

This API is experimental and subject to change

Since:
  solr 1.3
Version:
  $Id: DataImporter.java 1303949 2012-03-22 18:15:33Z jdyer $

Nested Class Summary
`static class` | `DataImporter.Status`

Field Summary
`static String` | `ABORT_CMD`
`static String` | `COLUMN`
`DocBuilder.Statistics` | `cumulativeStatistics`
`static String` | `DATA_SRC`
`static String` | `DEBUG_MODE`
`static String` | `DELTA_IMPORT_CMD`
`DocBuilder` | `docBuilder`
`static String` | `FULL_IMPORT_CMD`
`static String` | `IMPORT_CMD`
`static String` | `MULTI_VALUED`
`static String` | `NAME`
`static String` | `RELOAD_CONF_CMD`
`static String` | `SHOW_CONF_CMD`
`static String` | `STATUS_MSGS`
`static String` | `TYPE`

Method Summary
`void` | `doDeltaImport(SolrWriter writer, org.apache.solr.handler.dataimport.DataImporter.RequestParams requestParams)`
`void` | `doFullImport(SolrWriter writer, org.apache.solr.handler.dataimport.DataImporter.RequestParams requestParams)`
`String` | `getHandlerName()`
`DataImporter.Status` | `getStatus()`
`boolean` | `isBusy()`
`void` | `runAsync(org.apache.solr.handler.dataimport.DataImporter.RequestParams reqParams, SolrWriter sw)`
`void` | `setStatus(DataImporter.Status status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docBuilder

    public DocBuilder docBuilder

### cumulativeStatistics

    public DocBuilder.Statistics cumulativeStatistics

### COLUMN

    public static final String COLUMN

See Also:
  Constant Field Values

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### DATA_SRC

    public static final String DATA_SRC

See Also:
  Constant Field Values

### MULTI_VALUED

    public static final String MULTI_VALUED

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### STATUS_MSGS

    public static final String STATUS_MSGS

See Also:
  Constant Field Values

### FULL_IMPORT_CMD

    public static final String FULL_IMPORT_CMD

See Also:
  Constant Field Values

### IMPORT_CMD

    public static final String IMPORT_CMD

See Also:
  Constant Field Values

### DELTA_IMPORT_CMD

    public static final String DELTA_IMPORT_CMD

See Also:
  Constant Field Values

### ABORT_CMD

    public static final String ABORT_CMD

See Also:
  Constant Field Values

### DEBUG_MODE

    public static final String DEBUG_MODE

See Also:
  Constant Field Values

### RELOAD_CONF_CMD

    public static final String RELOAD_CONF_CMD

See Also:
  Constant Field Values

### SHOW_CONF_CMD

    public static final String SHOW_CONF_CMD

See Also:
  Constant Field Values

Method Detail

### getHandlerName

    public String getHandlerName()

### getStatus

    public DataImporter.Status getStatus()

### setStatus

    public void setStatus(DataImporter.Status status)

### isBusy

    public boolean isBusy()

### doFullImport

    public void doFullImport(SolrWriter writer,
                             org.apache.solr.handler.dataimport.DataImporter.RequestParams requestParams)

### doDeltaImport

    public void doDeltaImport(SolrWriter writer,
                              org.apache.solr.handler.dataimport.DataImporter.RequestParams requestParams)

### runAsync

    public void runAsync(org.apache.solr.handler.dataimport.DataImporter.RequestParams reqParams,
                         SolrWriter sw)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD